OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

Problems building plugin fbx - osg-3.0.1


 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Plugins [osgPlugins]
View previous topic :: View next topic  
Author Message
xitarem
Newbie


Joined: 03 Jul 2013
Posts: 4
Location: Cergy (France)

PostPosted: Wed Jul 03, 2013 2:14 pm    Post subject:
Problems building plugin fbx - osg-3.0.1
Reply with quote

Hi,

I know there is a lot of topics dealing with this subject and i'm pretty sure i read the most of them, but i still don't succeed to build my fbx plugin...

I am using OpenSceneGraph-3.0.1 with Visual Studio 2010, and i checked in ReaderWriterFBX.h that i need the FBX SDK version 2012.1.

The problem is the FBX SDK 2012.1 is not avalaible anymore to download on the website of autodesk.
So i downloaded the 2012.2 version to try with it, changed the security line in ReaderWriterFBX.h to make sure the problem wasn't there:

Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 1
#error Wrong FBX SDK version

TO
Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 2
#error Wrong FBX SDK version


I saw in a topic that i needed to cmake osg with good directory of fbx plugin, and i finally tried to build osg.
I have now some link errors like:
Code:

fbxRAnimation.obj : error LNK2019: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA) referenced in function "public: virtual __thiscall fbxsdk_2012_2::KFbxAnimCurveKey::~KFbxAnimCurveKey(void)" (??1KFbxAnimCurveKey@fbxsdk_2012_2@@UAE@XZ)
fbxRMesh.obj : error LNK2001: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA)
fbxRMesh.obj : error LNK2001: unresolved external symbol "public: static class fbxsdk_2012_2::kFbxClassId fbxsdk_2012_2::KFbxAnimStack::ClassId" (?ClassId@KFbxAnimStack@fbxsdk_2012_2@@2VkFbxClassId@2@A)


I have a total of 17 unresolved external link errors like those ones, and now i don't know what to do.
I also checked that fbxsdk-2012.2.dll and fbxsdk-2012.2d.dll are present in my project bin directory

So my question is: is there a solution to build fbx plugin for osg-3.0.1 (using sdk 2012.1 or not, i don't care), or maybe someone has osgdb_fbx.dll already compiled ?
And if not, what can i do ? Upgrade to a newer osg version in wich fbx plugin can be built ?

Hope you guys can help me in this problem,
Thank you very much,
Flavien[/code]
Back to top
View user's profile Send private message
xitarem
Newbie


Joined: 03 Jul 2013
Posts: 4
Location: Cergy (France)

PostPosted: Wed Jul 31, 2013 7:13 pm    Post subject:
Problems building plugin fbx - osg-3.0.1
Reply with quote

Hi,

I know there is a lot of topics dealing with this subject and i'm pretty sure i read the most of them, but i still don't succeed to build my fbx plugin...

I am using OpenSceneGraph-3.0.1 with Visual Studio 2010, and i checked in ReaderWriterFBX.h that i need the FBX SDK version 2012.1.

The problem is the FBX SDK 2012.1 is not avalaible anymore to download on the website of autodesk.
So i downloaded the 2012.2 version to try with it, changed the security line in ReaderWriterFBX.h to make sure the problem wasn't there:


Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 1
#error Wrong FBX SDK version



TO

Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 2
#error Wrong FBX SDK version




I saw in a topic that i needed to cmake osg with good directory of fbx plugin, and i finally tried to build osg.
I have now some link errors like:

Code:

fbxRAnimation.obj : error LNK2019: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA) referenced in function "public: virtual __thiscall fbxsdk_2012_2::KFbxAnimCurveKey::~KFbxAnimCurveKey(void)" (??1KFbxAnimCurveKey@fbxsdk_2012_2@@UAE@XZ)
fbxRMesh.obj : error LNK2001: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA)
fbxRMesh.obj : error LNK2001: unresolved external symbol "public: static class fbxsdk_2012_2::kFbxClassId fbxsdk_2012_2::KFbxAnimStack::ClassId" (?ClassId@KFbxAnimStack@fbxsdk_2012_2@@2VkFbxClassId@2@A)




I have a total of 17 unresolved external link errors like those ones, and now i don't know what to do.
I also checked that fbxsdk-2012.2.dll and fbxsdk-2012.2d.dll are present in my project bin directory

So my question is: is there a solution to build fbx plugin for osg-3.0.1 (using sdk 2012.1 or not, i don't care), or maybe someone has osgdb_fbx.dll already compiled ?
And if not, what can i do ? Upgrade to a newer osg version in wich fbx plugin can be built ?

Hope you guys can help me in this problem,
Thank you very much,
Flavien[/code]

------------------
Read this topic online here:
http://forum.openscenegraph.org/viewtopic.php?p=55115#55115







------------------
Post generated by Mail2Forum
Back to top
View user's profile Send private message
robertosfield
OSG Project Lead


Joined: 18 Mar 2009
Posts: 12144

PostPosted: Thu Aug 01, 2013 7:11 am    Post subject:
Problems building plugin fbx - osg-3.0.1
Reply with quote

Hi Flavien,

I don't have experience with Windows, and haven't touched FBX plugin
for a while but since 3.0.1 there have been submissions to the FBX to
update it in various ways. The best thing would probably be to update
to OSG-3.2.0 and see how you get on.

Robert.

On 3 July 2013 14:14, Flavien Du Peloux <> wrote:
Quote:
Hi,

I know there is a lot of topics dealing with this subject and i'm pretty sure i read the most of them, but i still don't succeed to build my fbx plugin...

I am using OpenSceneGraph-3.0.1 with Visual Studio 2010, and i checked in ReaderWriterFBX.h that i need the FBX SDK version 2012.1.

The problem is the FBX SDK 2012.1 is not avalaible anymore to download on the website of autodesk.
So i downloaded the 2012.2 version to try with it, changed the security line in ReaderWriterFBX.h to make sure the problem wasn't there:


Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 1
#error Wrong FBX SDK version



TO

Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 2
#error Wrong FBX SDK version




I saw in a topic that i needed to cmake osg with good directory of fbx plugin, and i finally tried to build osg.
I have now some link errors like:

Code:

fbxRAnimation.obj : error LNK2019: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA) referenced in function "public: virtual __thiscall fbxsdk_2012_2::KFbxAnimCurveKey::~KFbxAnimCurveKey(void)" (??1KFbxAnimCurveKey@fbxsdk_2012_2@@UAE@XZ)
fbxRMesh.obj : error LNK2001: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA)
fbxRMesh.obj : error LNK2001: unresolved external symbol "public: static class fbxsdk_2012_2::kFbxClassId fbxsdk_2012_2::KFbxAnimStack::ClassId" (?ClassId@KFbxAnimStack@fbxsdk_2012_2@@2VkFbxClassId@2@A)




I have a total of 17 unresolved external link errors like those ones, and now i don't know what to do.
I also checked that fbxsdk-2012.2.dll and fbxsdk-2012.2d.dll are present in my project bin directory

So my question is: is there a solution to build fbx plugin for osg-3.0.1 (using sdk 2012.1 or not, i don't care), or maybe someone has osgdb_fbx.dll already compiled ?
And if not, what can i do ? Upgrade to a newer osg version in wich fbx plugin can be built ?

Hope you guys can help me in this problem,
Thank you very much,
Flavien[/code]

------------------
Read this topic online here:
http://forum.openscenegraph.org/viewtopic.php?p=55115#55115








------------------
Post generated by Mail2Forum
Back to top
View user's profile Send private message
Sebastian Messerschmidt
Guest





PostPosted: Thu Aug 01, 2013 7:20 am    Post subject:
Problems building plugin fbx - osg-3.0.1
Reply with quote

Hi Flavien,

As far as I remember you can simply change the URL in your browser to
get older versions of the SDK.
Also your errors more sound like your not setting the correct fbx
libraries in the CMake. There are mt, md and some static ones so you
might have to check which one was working.

I'm using osg-3.1.8 and it works fine with the SDK (although it is some
newer one)
Quote:
Hi,

I know there is a lot of topics dealing with this subject and i'm pretty sure i read the most of them, but i still don't succeed to build my fbx plugin...

I am using OpenSceneGraph-3.0.1 with Visual Studio 2010, and i checked in ReaderWriterFBX.h that i need the FBX SDK version 2012.1.

The problem is the FBX SDK 2012.1 is not avalaible anymore to download on the website of autodesk.
So i downloaded the 2012.2 version to try with it, changed the security line in ReaderWriterFBX.h to make sure the problem wasn't there:


Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 1
#error Wrong FBX SDK version



TO

Code:

#if FBXSDK_VERSION_MAJOR != 2012 || FBXSDK_VERSION_MINOR != 2
#error Wrong FBX SDK version




I saw in a topic that i needed to cmake osg with good directory of fbx plugin, and i finally tried to build osg.
I have now some link errors like:

Code:

fbxRAnimation.obj : error LNK2019: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA) referenced in function "public: virtual __thiscall fbxsdk_2012_2::KFbxAnimCurveKey::~KFbxAnimCurveKey(void)" (??1KFbxAnimCurveKey@fbxsdk_2012_2@@UAE@XZ)
fbxRMesh.obj : error LNK2001: unresolved external symbol "private: static void (__cdecl* fbxsdk_2012_2::KFbxAnimCurveKey::mDeallocatorFct)(class fbxsdk_2012_2::KFbxAnimCurveKeyImpl *)" (?mDeallocatorFct@KFbxAnimCurveKey@fbxsdk_2012_2@@0P6AXPAVKFbxAnimCurveKeyImpl@2@@ZA)
fbxRMesh.obj : error LNK2001: unresolved external symbol "public: static class fbxsdk_2012_2::kFbxClassId fbxsdk_2012_2::KFbxAnimStack::ClassId" (?ClassId@KFbxAnimStack@fbxsdk_2012_2@@2VkFbxClassId@2@A)




I have a total of 17 unresolved external link errors like those ones, and now i don't know what to do.
I also checked that fbxsdk-2012.2.dll and fbxsdk-2012.2d.dll are present in my project bin directory

So my question is: is there a solution to build fbx plugin for osg-3.0.1 (using sdk 2012.1 or not, i don't care), or maybe someone has osgdb_fbx.dll already compiled ?
And if not, what can i do ? Upgrade to a newer osg version in wich fbx plugin can be built ?

Hope you guys can help me in this problem,
Thank you very much,
Flavien[/code]

------------------
Read this topic online here:
http://forum.openscenegraph.org/viewtopic.php?p=55115#55115









------------------
Post generated by Mail2Forum
Back to top
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Plugins [osgPlugins] All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts Building on macOS 10.14 Ulrich Hertlein General 1 Sun Nov 11, 2018 12:45 pm View latest post
No new posts Problems with forum. poweruserm@live.com.au General 1 Sun Oct 28, 2018 11:45 pm View latest post
No new posts Could not find plugin to load objects sdef General [3rdparty] 0 Sat Oct 27, 2018 6:10 am View latest post
No new posts osg3.6.3 plugin issues jaisingla Plugins [osgPlugins] 2 Thu Oct 18, 2018 6:35 am View latest post
No new posts building the fbx plugin Tare Plugins [osgPlugins] 2 Wed Oct 10, 2018 3:04 pm View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP